com.sun.syndication.io

## Class SyndFeedInput

- java.lang.Object
- - com.sun.syndication.io.SyndFeedInput

    public class SyndFeedInput
    extends java.lang.Object

Parses an XML document (File, InputStream, Reader, W3C SAX InputSource, W3C DOM Document or JDom DOcument) into an SyndFeedImpl.

It delegates to a WireFeedInput to handle all feed types.

### Constructor Summary

Constructors
Constructor and Description
`SyndFeedInput()` Creates a SyndFeedInput instance with input validation turned off.
`SyndFeedInput(boolean validate)` Creates a SyndFeedInput instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`SyndFeed` `build(org.w3c.dom.Document document)` Builds SyndFeedImpl from an W3C DOM document.
`SyndFeed` `build(org.jdom.Document document)` Builds SyndFeedImpl from an JDOM document.
`SyndFeed` `build(java.io.File file)` Builds SyndFeedImpl from a file.
`SyndFeed` `build(org.xml.sax.InputSource is)` Builds SyndFeedImpl from an W3C SAX InputSource.
`SyndFeed` `build(java.io.Reader reader)` Builds SyndFeedImpl from an Reader.
`boolean` `getXmlHealerOn()` Indicates if the WiredFeedInput instance will XML heal (if necessary) the character stream.
`boolean` `isPreserveWireFeed()`
`void` `setPreserveWireFeed(boolean preserveWireFeed)`
`void` `setXmlHealerOn(boolean heals)` Enables XML healing in the WiredFeedInput instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SyndFeedInput

    public SyndFeedInput()

Creates a SyndFeedInput instance with input validation turned off.

#### SyndFeedInput

    public SyndFeedInput(boolean validate)

Creates a SyndFeedInput instance.

Parameters:
  `validate` - indicates if the input should be validated. NOT IMPLEMENTED YET (validation does not happen)

### Method Detail

#### setXmlHealerOn

    public void setXmlHealerOn(boolean heals)

Enables XML healing in the WiredFeedInput instance.

Healing trims leading chars from the stream (empty spaces and comments) until the XML prolog.

Healing resolves HTML entities (from literal to code number) in the reader.

The healing is done only with the build(File) and build(Reader) signatures.

By default is TRUE.

Parameters:
  `heals` - TRUE enables stream healing, FALSE disables it.

#### getXmlHealerOn

    public boolean getXmlHealerOn()

Indicates if the WiredFeedInput instance will XML heal (if necessary) the character stream.

Healing trims leading chars from the stream (empty spaces and comments) until the XML prolog.

Healing resolves HTML entities (from literal to code number) in the reader.

The healing is done only with the build(File) and build(Reader) signatures.

By default is TRUE.

Returns:
  TRUE if healing is enabled, FALSE if not.

#### build

    public SyndFeed build(java.io.File file)
                   throws java.io.FileNotFoundException,
                          java.io.IOException,
                          java.lang.IllegalArgumentException,
                          FeedException

Builds SyndFeedImpl from a file.

Parameters:
  `file` - file to read to create the SyndFeedImpl.
Returns:
  the SyndFeedImpl read from the file.
Throws:
  `java.io.FileNotFoundException` - thrown if the file could not be found.
  `java.io.IOException` - thrown if there is problem reading the file.
  `java.lang.IllegalArgumentException` - thrown if feed type could not be understood by any of the underlying parsers.
  `FeedException` - if the feed could not be parsed

#### build

    public SyndFeed build(java.io.Reader reader)
                   throws java.lang.IllegalArgumentException,
                          FeedException

Builds SyndFeedImpl from an Reader.

Parameters:
  `reader` - Reader to read to create the SyndFeedImpl.
Returns:
  the SyndFeedImpl read from the Reader.
Throws:
  `java.lang.IllegalArgumentException` - thrown if feed type could not be understood by any of the underlying parsers.
  `FeedException` - if the feed could not be parsed

#### build

    public SyndFeed build(org.xml.sax.InputSource is)
                   throws java.lang.IllegalArgumentException,
                          FeedException

Builds SyndFeedImpl from an W3C SAX InputSource.

Parameters:
  `is` - W3C SAX InputSource to read to create the SyndFeedImpl.
Returns:
  the SyndFeedImpl read from the W3C SAX InputSource.
Throws:
  `java.lang.IllegalArgumentException` - thrown if feed type could not be understood by any of the underlying parsers.
  `FeedException` - if the feed could not be parsed

#### build

    public SyndFeed build(org.w3c.dom.Document document)
                   throws java.lang.IllegalArgumentException,
                          FeedException

Builds SyndFeedImpl from an W3C DOM document.

Parameters:
  `document` - W3C DOM document to read to create the SyndFeedImpl.
Returns:
  the SyndFeedImpl read from the W3C DOM document.
Throws:
  `java.lang.IllegalArgumentException` - thrown if feed type could not be understood by any of the underlying parsers.
  `FeedException` - if the feed could not be parsed

#### build

    public SyndFeed build(org.jdom.Document document)
                   throws java.lang.IllegalArgumentException,
                          FeedException

Builds SyndFeedImpl from an JDOM document.

Parameters:
  `document` - JDOM document to read to create the SyndFeedImpl.
Returns:
  the SyndFeedImpl read from the JDOM document.
Throws:
  `java.lang.IllegalArgumentException` - thrown if feed type could not be understood by any of the underlying parsers.
  `FeedException` - if the feed could not be parsed

#### isPreserveWireFeed

    public boolean isPreserveWireFeed()

Returns:
  true if the WireFeed is made available in the SyndFeed. False by default.

#### setPreserveWireFeed

    public void setPreserveWireFeed(boolean preserveWireFeed)

Parameters:
  `preserveWireFeed` - set to true to make the WireFeed is made available in the SyndFeed. False by default.